
extdesc="the Video Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}

source cascade-make/lib/cascade-lib.bash

if [ "x$GEXTVIDEO" = "x" ] ; then
  export GEXTVIDEO=$fulldir
  export GEXTVIDEO_INSTALLED=$GEXTVIDEO/$GSDLOS

  export PATH=$GEXTVIDEO_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  if [ -e "devel-srcpack" ] ; then
    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/devel/lib:$LD_LIBRARY_PATH
    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
  fi

  
  extdir=${GEXTVIDEO##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
